*==============================================================
* STATA Finance Research Project-Layoff announcements
*==============================================================

*** This version: 03/11/2019


*==============================================================
* EVENTUS CLEAN-UP FOR SIC 3-DIGIT CLASSIFICATION
*==============================================================

clear all
set more off
capture log close
set logtype text

cd "D:\Dropbox\Research\Contagion effects of layoffs\August2017\placebo test files\iteration2"
/*This command allows me to access .dta files in my personal folder.  If need be
change to the desired directory*/


*==============================================================
* CARs GENERATED BASED ON MAR MODEL - SIC
*==============================================================

use layoff_rets_placebo_i2, clear
format original_eventdat %tdCCYYNNDD

tab restype
duplicates drop cusip eventdat restype car_window_1, force
drop if restype!="MAR"

rename request_file_cusip cusip_8dig
rename original_eventdat announce_date

saveold eventus_MAR_sic_placebo, replace
